# Generated by Django 3.2.19 on 2024-06-20 09:58

import django.db.models.deletion
from django.db import migrations, models


def create_imports(apps, schema_editor):
    from authentic2.manager import user_import

    UserImport = apps.get_model('authentic2', 'UserImport')
    for uimport in user_import.UserImport.all():
        ou = uimport.data.get('ou', None)
        if ou is not None:
            UserImport.objects.get_or_create(uuid=uimport.uuid, ou_id=ou.id, created=uimport.created)


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('authentic2', '0052_apiclient_ip_restriction'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserImport',
            fields=[
                (
                    'id',
                    models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
                ),
                ('uuid', models.CharField(db_index=True, max_length=128, verbose_name='uuid')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created')),
                (
                    'ou',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='a2_rbac.organizationalunit',
                        verbose_name='organizational unit',
                    ),
                ),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.RunPython(create_imports, migrations.RunPython.noop),
    ]
